Bill Campbell wrote:
On Mon, Jun 21, 2004, Heinrich Rebehn wrote:

Hi list,

I rolled my own perl-tk script for adding/removing users on our cluster and it has been running fine for some years now.
But when i wanted to use it today, it died with:


My SWAG is that you've updated perl recently, but not updated the perl::Tk
modules.  Running two versions of perl on the same machine is possible (we
do it under the OpenPKG.org packagement system all the time), but can
easily lead to problems like this.


[EMAIL PROTECTED] [~] # usrmgr/usrmgr.pl
[the usual messages about unused variables]
X Error of failed request:  BadAtom (invalid Atom parameter)
Major opcode of failed request:  18 (X_ChangeProperty)
Atom id in failed request:  0x1a6
Serial number of failed request:  12
Current serial number in output stream:  15

I have no clue what this could be. Other X11 apps run fine. I am logged in via ssh -X.
Versions:
FreeBSD 5.2.1-RELEASE-p8
p5-Tk-804.027
perl-5.6.1_15 Practical Extraction and Report Language
perl-5.8.4 Practical Extraction and Report Language


2 versions of perl? Is this ok?

Does anyone have an idea?

Regards,
        Heinrich

Problem solved: It was not the perl upgrade, it is the X server which is to blame. I recently upgraded the Linux installation on my workstation and there seems to be a problem with xfree there. I did not get suspicious until i tried running the script under Linux and got exactly the same error message. Moving to another workstation with a different version of xfree solved the problem.


--Heinrich
_______________________________________________
[EMAIL PROTECTED] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[EMAIL PROTECTED]"

Reply via email to